# Uses of Interface
org.opensaml.saml.saml2.core.RequestedAuthnContext

Packages that use RequestedAuthnContext
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of RequestedAuthnContext in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return RequestedAuthnContext
Modifier and Type
Method
Description
`RequestedAuthnContext`
AuthnQuery.`getRequestedAuthnContext()`
Gets the RequestedAuthnContext of this request.
`RequestedAuthnContext`
AuthnRequest.`getRequestedAuthnContext()`
Gets the `RequestedAuthnContext` of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type RequestedAuthnContext
Modifier and Type
Method
Description
`void`
AuthnQuery.`setRequestedAuthnContext(RequestedAuthnContext newRequestedAuthnContext)`
Sets the RequestedAuthnContext of this request.
`void`
AuthnRequest.`setRequestedAuthnContext(RequestedAuthnContext newRequestedAuthnContext)`
Sets the `RequestedAuthnContext` of the request.

## Uses of RequestedAuthnContext in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement RequestedAuthnContext
Modifier and Type
Class
Description
`class`
`RequestedAuthnContextImpl`
Concrete implementation of `RequestedAuthnContext`.
Fields in org.opensaml.saml.saml2.core.impl declared as RequestedAuthnContext
Modifier and Type
Field
Description
`private RequestedAuthnContext`
AuthnQueryImpl.`requestedAuthnContext`
RequestedAuthnContext child element.
`private RequestedAuthnContext`
AuthnRequestImpl.`requestedAuthnContext`
RequestedAuthnContext child element.
Methods in org.opensaml.saml.saml2.core.impl that return RequestedAuthnContext
Modifier and Type
Method
Description
`RequestedAuthnContext`
RequestedAuthnContextBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RequestedAuthnContext`
RequestedAuthnContextBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`RequestedAuthnContext`
AuthnQueryImpl.`getRequestedAuthnContext()`
Gets the RequestedAuthnContext of this request.
`RequestedAuthnContext`
AuthnRequestImpl.`getRequestedAuthnContext()`
Gets the `RequestedAuthnContext` of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type RequestedAuthnContext
Modifier and Type
Method
Description
`void`
AuthnQueryImpl.`setRequestedAuthnContext(RequestedAuthnContext newRequestedAuthnContext)`
Sets the RequestedAuthnContext of this request.
`void`
AuthnRequestImpl.`setRequestedAuthnContext(RequestedAuthnContext newRequestedAuthnContext)`
Sets the `RequestedAuthnContext` of the request.